<?php

namespace Drupal\dynamic_layouts;

/**
 * Provides constant strings for the dynamic_layouts module.
 */
abstract class DynamicLayoutConstants {

  /**
   * The custom column classes constant.
   */
  const CUSTOM_COLUMN_CLASSES = 'custom_column_classes';

  /**
   * The default row class constant.
   */
  const DEFAULT_ROW_CLASS = 'default_row_class';

  /**
   * The custom row classes constant.
   */
  const CUSTOM_ROW_CLASSES = 'custom_row_classes';

  /**
   * The default column class constant.
   */
  const DEFAULT_COLUMN_CLASS = 'default_column_class';

  /**
   * The column width number constant.
   */
  const COLUMN_WIDTH_NUMBER = 'column_width_number';

  /**
   * The custom column width number constant.
   */
  const CUSTOM_COLUMN_WIDTH_NUMBER = 'custom_column_width_number';

  /**
   * The dynamic layout settings constant.
   */
  const DYNAMIC_LAYOUT_SETTINGS = 'dynamic_layout_settings';

  /**
   * The column id constant.
   */
  const COLUMN_ID = 'column_id';

  /**
   * The row id constant.
   */
  const ROW_ID = 'row_id';

  /**
   * The columns constant.
   */
  const COLUMNS = 'columns';

  /**
   * The column name constant.
   */
  const COLUMN_NAME = 'column_name';

  /**
   * The region name constant.
   */
  const REGION_NAME = 'region_name';

  /**
   * The settings constant.
   */
  const SETTINGS = 'settings';

  /**
   * The edit column constant.
   */
  const EDIT_COLUMN = 'edit_column';

  /**
   * The delete column constant.
   */
  const DELETE_COLUMN = 'delete_column';

  /**
   * The column width prefix constant.
   */
  const COLUMN_WIDTH_PREFIX = 'column_width_prefix';

  /**
   * The admin column classes constant.
   */
  const ADMIN_COLUMN_CLASSES = 'admin_column_classes';

  /**
   * The dynamic layout column constant.
   */
  const DYNAMIC_LAYOUT_COLUMN = 'dynamic-layout-column';

  /**
   * The dynamic layout constant.
   */
  const DYNAMIC_LAYOUT = 'dynamic_layout';

  /**
   * The layout constant.
   */
  const LAYOUT = 'layout';

  /**
   * The general settings constant.
   */
  const GENERAL_SETTING = 'general_settings';

  /**
   * The category constant.
   */
  const CATEGORY = 'category';

  /**
   * The start rows count constant.
   */
  const START_ROWS_COUNT = 'start_rows_count';

  /**
   * The layout group constant.
   */
  const LAYOUT_GROUP = 'layout_group';

  /**
   * The entity id constant.
   */
  const ENTITY_ID = 'entity_id';

  /**
   * The dynamic layout id constant.
   */
  const DYNAMIC_LAYOUT_ID = 'dynamic_layout_id';

  /**
   * The bootstrap constant.
   */
  const BOOTSTRAP = 'bootstrap';

  /**
   * The frontend libary constant.
   */
  const FRONTEND_LIBRARY = 'frontend_library';

  /**
   * The custom constant.
   */
  const CUSTOM = 'custom';

  /**
   * The custom constant.
   */
  const DYNAMIC_LAYOUT_FORM_CLASS = '.dynamic-layout-form';

  /**
   * The column prefix constant.
   */
  const COLUMN_PREFIX = 'column_prefix';

  /**
   * The grid column count constant.
   */
  const GRID_COLUMN_COUNT = 'grid_column_count';

}
